1. Transactions
Synswi
  • Guides
    • Getting Started With the API
    • Cash App Pay Integration Guide
  • API Reference
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
      • Get a payment instrument by id
      • Create a Payment Instrument
    • Transactions
      • Get a transaction by id
        GET
      • Get transactions
        GET
      • Create a transaction
        POST
      • Update a transaction
        POST
      • Refund a transaction
        POST
      • Create a cash-app transaction
        POST
    • Fees
      • Get current fee profile
    • Programs
      • Accounts
    • Events
      • Get Events
  1. Transactions

Get a transaction by id

GET
https://api-dev.synswi.com/transactions/{id}

Request

Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "transaction-f9c2acda-6841-432b-816c-56f9546b218a",
    "accountId": "acc-c068c34e-b12d-48b1-bc5f-c85edae9fc9b",
    "amount": 3300,
    "channel": "online",
    "createdAt": "2025-02-19T20:20:59.583Z",
    "currency": "USD",
    "method": "card",
    "paymentInstrumentId": "payment-instrument-cbb31627-cce7-4b84-8928-0b376fb1b9fb",
    "referenceId": "573ef33e-4ab4-4647-9c48-2044e15462b4",
    "status": "succeeded",
    "statusReason": null,
    "type": "pull"
}
Previous
Create a Payment Instrument
Next
Get transactions
Built with